﻿using System;

namespace NoteMan
{
    class Todo : Element
    {
        private DateTime deadline;

        public Todo() : base()
        {
            deadline = new DateTime();
        }

        public Todo(string title, string text, DateTime deadline) : base(title, text)
        {
            this.deadline = deadline;
        }

        public void UpdateRecord(string title, string text, DateTime deadline)
        {
            base.UpdateRecord(title, text);
            this.deadline = deadline;
        }

        public DateTime GetDeadline()
        {
            return deadline;
        }
    }
}
